# __gnu_cxx::select1st< _Pair > Struct Template Reference
[STL extensions from SGI]

An SGI extension . More...

List of all members.

## Public Types

typedef _Pair | argument_type
| `argument_type` is the type of the argument (no surprises here)
typedef _Pair::first_type | result_type
| `result_type` is the return type

## Detailed Description

### template<class _Pair>
struct __gnu_cxx::select1st< _Pair >

An SGI extension .

Definition at line 197 of file ext/functional.

## Member Typedef Documentation

typedef _Pair std::unary_function< _Pair, _Pair::first_type >::argument_type`[inherited]`

| `argument_type` is the type of the argument (no surprises here) Definition at line 103 of file stl_function.h.

typedef _Pair::first_type std::unary_function< _Pair, _Pair::first_type >::result_type`[inherited]`

| `result_type` is the return type Definition at line 104 of file stl_function.h.

The documentation for this struct was generated from the following file:

- ext/functional